Package org.apache.lucene.util.bkd

## Class MutablePointTreeReaderUtils

- java.lang.Object
- - org.apache.lucene.util.bkd.MutablePointTreeReaderUtils

-     public final class MutablePointTreeReaderUtils
      extends Object

  Utility APIs for sorting and partitioning buffered points.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `partition​(BKDConfig config, int maxDoc, int splitDim, int commonPrefixLen, MutablePointTree reader, int from, int to, int mid, BytesRef scratch1, BytesRef scratch2)` | Partition points around `mid`.
    `static void` | `sort​(BKDConfig config, int maxDoc, MutablePointTree reader, int from, int to)` | Sort the given `MutablePointTree` based on its packed value then doc ID.
    `static void` | `sortByDim​(BKDConfig config, int sortedDim, int[] commonPrefixLengths, MutablePointTree reader, int from, int to, BytesRef scratch1, BytesRef scratch2)` | Sort points on the given dimension.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### sort

          public static void sort​(BKDConfig config,
                                  int maxDoc,
                                  MutablePointTree reader,
                                  int from,
                                  int to)

      Sort the given `MutablePointTree` based on its packed value then doc ID.

    - #### sortByDim

          public static void sortByDim​(BKDConfig config,
                                       int sortedDim,
                                       int[] commonPrefixLengths,
                                       MutablePointTree reader,
                                       int from,
                                       int to,
                                       BytesRef scratch1,
                                       BytesRef scratch2)

      Sort points on the given dimension.

    - #### partition

          public static void partition​(BKDConfig config,
                                       int maxDoc,
                                       int splitDim,
                                       int commonPrefixLen,
                                       MutablePointTree reader,
                                       int from,
                                       int to,
                                       int mid,
                                       BytesRef scratch1,
                                       BytesRef scratch2)

      Partition points around `mid`. All values on the left must be less than or equal to it and all values on the right must be greater than or equal to it.